<script>
import SvelteMarkdown from 'svelte-markdown';
import back from '@/plugins/axios.js';
import { started_state } from '@/plugins/store.js'
let backend = import.meta.env.VITE_BACKEND;

let evt_description = "";
back.get('/website/event_description')
    .then(response => {
        evt_description = response.data.event_description;
    })
    .catch(error => {
        console.log(error);
    });

let evt_name = "";
back.get('/website/event_name')
    .then(response => {
        evt_name = response.data.event_name;
    })
    .catch(error => {
        console.log(error);
    });

// Fetch evt_description on started_state change
$: if ($started_state == 2) {
    back.get('/website/event_description')
        .then(response => {
            evt_description = response.data.event_description;
        })
        .catch(error => {
            console.log(error);
        });
}

</script>

<svelte:head>
    <meta name="description" content="{evt_description}" />
</svelte:head>    

<style>
    @import url('https://fonts.cdnfonts.com/css/edo');  
    @media (min-width: 600px) {
        @keyframes float {
            0% {
                filter: drop-shadow(16px 16px 10px black);
                transform: translatey(0px);
            }
            50% {
                filter: drop-shadow(16px 16px 10px black);
                transform: translatey(-20px);
            }
            100% {
                filter: drop-shadow(16px 16px 10px black);
                transform: translatey(0px);
            }
        }
    }

    .floating {
	    animation: float 6s ease-in-out infinite;
    }
</style>

<div class="card lg:card-side card-normal">
    <img loading="lazy" class="floating mr-20 lg:w-96 w-52 rounded-xl" src="{backend}/website/logo" alt="beautiful logo"/>
    <div class="card-body">
        <h1 class="card-title lg:text-8xl md:text-6xl sm:text-4xl text-2xl" style="font-family: 'Edo', sans-serif;">{evt_name}</h1>
        <p><SvelteMarkdown source={evt_description} /></p>

        {#if $started_state == 2}
            <div class="items-center">
                <a  class="btn btn-wide btn-lg btn-primary text-md normal-case hover:underline underline-offset-8 decoration-2" href="/streamers">Voir Les Streamers</a>
            </div>
        {/if}
    </div>
</div>